namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目中心表")]
[Table("TrialSite")]
public class TrialSite : BaseFullDeleteAuditEntity
{
    #region 导航属性
    [JsonIgnore]

    [ForeignKey("SiteId")]
    public Site Site { get; set; }

    [JsonIgnore]
    [ForeignKey("TrialId")]
    public Trial Trial { get; set; }

    [Comment("Site 下面有多个访视记录")]
    [JsonIgnore]
    public List<SubjectVisit> SubjectVisitList { get; set; }
    [JsonIgnore]
    public List<TrialSiteSurvey> TrialSiteSurveyList { get; set; }
    [Comment("Site 由多个人负责")]
    [JsonIgnore]
    public List<TrialSiteUser> CRCUserList { get; set; }

    [JsonIgnore]
    public List<Subject> SubjectList { get; set; }

    [JsonIgnore]

    public List<TrialSiteDicomAE> TrialSiteDicomAEList { get; set; }
    #endregion
    public Guid TrialId { get; set; }

    public Guid? SiteId { get; set; }

    public string TrialSiteCode { get; set; } = String.Empty;

    public string TrialSiteName { get; set; } = String.Empty;

    public string TrialSiteAliasName { get; set; } = String.Empty;
    public DateTime? EnabledTime { get; set; }
}